tigase.jaxmpp.core.client.xmpp.stanzas

## Enum Presence.Show

- java.lang.Object
- - java.lang.Enum<Presence.Show>
  - - tigase.jaxmpp.core.client.xmpp.stanzas.Presence.Show

- All Implemented Interfaces:
    Serializable, Comparable<Presence.Show>
  Enclosing class:
    Presence

      public static enum Presence.Show
      extends Enum<Presence.Show>

  Availability sub-state

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `away` The entity or resource is temporarily away.
    `chat` The entity or resource is actively interested in chatting.
    `dnd` The entity or resource is busy (dnd = "Do Not Disturb").
    `offline` The entity or resource is offline and unavailable.
    `online` The entity or resource is online and available.
    `xa` The entity or resource is away for an extended period (xa = "eXtended Away").

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getWeight()`
    `static Presence.Show` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Presence.Show[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### away

          public static final Presence.Show away

      The entity or resource is temporarily away.

    - #### chat

          public static final Presence.Show chat

      The entity or resource is actively interested in chatting.

    - #### dnd

          public static final Presence.Show dnd

      The entity or resource is busy (dnd = "Do Not Disturb").

    - #### online

          public static final Presence.Show online

      The entity or resource is online and available.

    - #### offline

          public static final Presence.Show offline

      The entity or resource is offline and unavailable.

    - #### xa

          public static final Presence.Show xa

      The entity or resource is away for an extended period (xa = "eXtended Away").

  - ### Method Detail

    - #### values

          public static Presence.Show[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Presence.Show c : Presence.Show.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Presence.Show valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getWeight

          public int getWeight()

Copyright © 2006–2020 Tigase. All rights reserved.